<template>
  <div class="body">
    <div class="body-container">
      <transition name="fade" mode="out-in">
        <router-view />
      </transition>
    </div>
  </div>
</template>

<script>
import "@scss/_body.scss";
export default {
  name: "Body",
  data() {
    return {
      test: process.env.BACKEND_URI
    };
  }
};
</script>

<style lang="scss">
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.3s ease-out;
}

.fade-enter,
.fade-leave-to {
  opacity: 0;
}
</style>
